@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

:root {
    --cor-branco: #ffffff;
    --cor-preta: #000000;
    --cor-cinza-texto: #BCC0CA;
    --cor-azul-claro: #00AEFF;
    --cor-azul-hover: #40C2FF;
    --cor-cinza-jogo-estilo: #969696;
    --cor-cinza-titulo-games: #8F9199;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    color: var(--cor-branco);
}

body {
    position: relative;
    overflow-x: hidden;
    background-color: var(--cor-preta);
}

.cabecalho {
    width: 100%;
    position: absolute;
}

.cabecalho img {
    cursor: pointer;
}

.nav-bar {
    display: flex;
    justify-content: space-between;
    padding: 1.5rem;
}

.logo-blizzard {
    width: 4.375rem;
    height: 2rem;
}

.nav-bar__divisao {
    position: relative;
}

hr {
    opacity: 0.3;
}

.linha-azul {
    background-color: var(--cor-azul-claro);
    position: absolute;
    opacity: 1.0;
    width: 43px;
    top: 0;
    margin-left: 24px;
    height: 2px;
}

.banner {
    background-image: url(assets/banner/banner-diablo.jpg);
    display: flex;
    flex-direction: column;
    padding-left: 1.375rem;
    padding-top: 3.188rem;
    /* width: 100%; */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 36%;
    height: 100%;
}

.banner-conteudo__titulo, .banner-conteudo__descricao {
    width: 80%;
    max-width: 270px;
}

.banner-conteudo__titulo {
    font-size: 40px;
    line-height: 1.1;
    padding-top: 80px;
}

.banner-conteudo__descricao {
    font-weight: 400;
    padding-top: 1rem;
    padding-bottom: 2rem;
}

.banner-conteudo__ancora {
    font-size: 0.875rem;
    font-weight: 600;
    text-decoration: none;
    text-align: center;
    width: 150px;
    height: 46px;
    padding: 13px 30px;
    background-color: var(--cor-azul-claro);
    border-radius: 4px;
}

.banner-conteudo__ancora:hover, .nav-bar__ancoras__logar:hover, .rodape__ancora-download:hover{
    background-color: var(--cor-azul-hover);
    transition: 0.5s;
}

.banner-slider {
    margin: 48px 0 62px 0;
    display: flex;
    gap: 16px;
}

.banner-slider img {
    width: 42px;
    height: 42px;
    cursor: pointer;
}

.header__divisao {
    position: relative;
}

.linha-final-header {
    height: 2px;
    background-color: var(--cor-azul-claro);
    width: 186px;
    opacity: 1.0;
    border: 1px solid var(--cor-azul-claro);
    position: absolute;
    left: -26px;
    right: 0;
    bottom: 0;
}

.conteudo-principal {
    background-color: var(--cor-preta);
    padding: 0 24px;
    padding-bottom: 69px;
}

.conteudo-principal__jogos-exclusivos {
    padding-top: 52px;
    display: flex;
    justify-content: space-between;
}

.conteudo-principal__jogos-exclusivos__titulo {
    line-height: 1.1;
}

.conteudo-principal__jogos-exclusivos__todos-jogos {
    color: var(--cor-azul-claro);
    text-decoration: none;
    align-self: flex-end;
    display: flex;
    gap: 12px;
    font-weight: 600;
}

.destaque-jogos {
    margin-top: 57px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10px;
}

.card-game {
    position: relative;
    margin: 4% 0;
    cursor: pointer;
    justify-self: center;
    width: auto;
    height: auto;
    max-width: 230px;
    overflow: hidden;
}


.card-game__capa-game {
    width: 100%;
    border-radius: 2px;
    /* height: 100%; */
}

.card-game img.card-game__capa-game {
    transition: transform 0.3s;
    /* transform-origin: center center; */
}
  
.card-game:hover img.card-game__capa-game {
    transform: scale(1.1) translateY(-4%);
    opacity: 0.9; /* Zoom de 20% */
    /* width: 100%; */
}


.card-game__logo-game, .card-blizzard-logo, .card-ver-jogos__ancora {
    position: absolute;
    transform: translate(-50%, -50%);
    max-width: 100%;
    max-height: 100%;
}

.card-game__logo-game{
    top: 80%;
    left: 50%;
    height: 30%;
}

.card-ver-jogos {
    position: relative;
    border: none;
    padding-bottom: 52px;
    width: 100%;
    height: auto;
}
  
.card-ver-jogos::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 1px solid var(--cor-cinza-texto);
    opacity: 0.2;
    pointer-events: none;
}

.card-blizzard-logo {
    top: 40%;
    left: 50%;
}

.card-ver-jogos__ancora {
    top: 60%;
    left: 50%;
    text-decoration: none;
    font-size: 14px;
    font-weight: 600;
    transform: translate(-50%, -50%);
    max-width: 100%;
    max-height: 100%;
    white-space: nowrap;
}

.rodape {
    /* margin-top: 62px; */
    background-image: url(assets/footer/footer-background.png);
    background-size: cover;
    background-position: 18%;
    /* background-position: center; */
    background-repeat: no-repeat;
    height: 100vh;
    width: 100%;
    height: 1000px;
    padding: 63px 24px;
    position: relative;
}

.rodape__titulo {
    font-weight: 700;
    width: 150px;
    padding: 30px 0;
}

.rodape__sobre-battlenet {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.rodape__sobre-battlenet__linha {
    list-style-type: none;
    color: var(--cor-cinza-texto);
}

.rodape__sobre-battlenet__linha-icon {
    padding-right: 16px;
}

.rodape__ancora-download {
    margin: 40px 0;
    font-weight: 600;
    width: 260px;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    background-color: var(--cor-azul-claro);
    text-decoration: none;
    border-radius: 4px;
    cursor: pointer;
}

.rodape__ancora-download__celular{
    display: flex;
    gap: 20px;
    text-decoration: none;
}

.rodape__ancora-download__celular span span{
    text-decoration: underline;
} 

.rodape__battle-net-plataform {
    background-image: url(assets/footer/battlenet-plataform.png);
    background-position: 70vw 0; /* A imagem começa a 70% da largura da viewport */
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 300px;
}

.rodape__battle-net-plataform__image-celular {
    position: absolute;
    right: -30px;
}

.nav-bar__ancoras-login {
    display: none;
}

.banner-conteudo__trailer-jogo-logo {
    display: none;
}

.conteudo-principal__plataformas {
    display: none;
}

.card-game h5, .card-game p {
    display: none;
}

.svg-ver-jogos-branco {
    display: none;
}

.rodape__battle-net-plataform {
    display: none;
}

.conteudo-principal__plataformas img {
    cursor: pointer;
}

.banner-slider-pc {
    display: none;
}

.nav-bar__ancoras {
    display: none;
}

.conteudo-principal__games {
    display: none;
}

.banner-conteudo__trailer-jogo h4 {
    display: none;
}

.gif-overlay {
    position: absolute;
    /* top: 0; */
    left: 0;
    bottom: 7px;
    width: 280px;
    height: 158px;
    background-image: url('assets/banner/diablo-animation.gif');
    background-repeat: no-repeat;
    background-position: center;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.banner-conteudo__trailer-jogo:hover .gif-overlay {
    opacity: 1;
}

.centered-image {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -30%);
}

.centered-image img {
    display: block;
}

.gif-overlay img{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 55px;
    height: 55px;
    transform: translate(-50%, -54%);
}

.trailer-jogo {
    -webkit-box-shadow: 6px 21px 44px -3px rgba(0,0,0,0.51);
    -moz-box-shadow: 6px 21px 44px -3px rgba(0,0,0,0.51);
    box-shadow: 6px 21px 44px -3px rgba(0,0,0,0.51);
}

.card-game__video {
    display: none;
}

/* ===== Scrollbar CSS ===== */
  /* Firefox */
* {
    scrollbar-width: auto;
    scrollbar-color: #40c2ff #ffffff;
}

  /* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: 13px;
}

*::-webkit-scrollbar-track {
    background: #ffffff;
}

*::-webkit-scrollbar-thumb {
    background-color: #40c2ff;
    border-radius: 6px;
    border: 3px solid #ffffff;
}

.banner-slider-pc img:hover, .banner-slider img:hover {
    animation: myAnim 2s ease 0s 1 normal forwards;
}

@keyframes myAnim {
0% {
	animation-timing-function: ease-out;
	transform: scale(1);
	transform-origin: center center;
}

10% {
	animation-timing-function: ease-in;
	transform: scale(0.91);
}

17% {
	animation-timing-function: ease-out;
	transform: scale(0.98);
}

33% {
	animation-timing-function: ease-in;
	transform: scale(0.87);
}

45% {
	animation-timing-function: ease-out;
	transform: scale(1);
}
}

@media (min-width: 768px){

    .logo-blizzard {
        align-self: center;
        width: 86px;
        height: 40px;
    }

    .nav-bar__ancoras-e-menu-hamburguer {
        display: flex;
        align-items: center;
    }

    .nav-bar__ancoras-login {
        display: flex;
        padding-right: 70px;
    }

    .nav-bar__ancoras-login a {
        text-decoration: none;
        font-size: 14px;
        font-weight: 500;
        margin: 0 8px;
    }

    .nav-bar__ancoras__criar-conta {
        padding: 10px 18px;
        border: 1px solid var(--cor-branco);
        border-radius: 4px;
    }

    .nav-bar__ancoras__criar-conta:hover {
        background-color: var(--cor-branco);
        color: var(--cor-preta);
        transition: 0.6s;
    }

    .nav-bar__ancoras__logar {
        padding: 0px 28px;
        background-color: var(--cor-azul-claro);
        border-radius: 4px;
        display: flex;
        gap: 10px;
        justify-content: center;
        align-items: center;
    }

    .nav-bar__ancoras__logar span {
        display: inline-block;
        width: 14px;
        height: 17px;
        background-image: url(assets/banner/icon-login.png);
        background-size: center;
        background-repeat: no-repeat;
    }
    
    .banner {
        background-position: 35%;
        padding-left: 58px;
    }

    .nav-bar {
        padding: 1.5rem 58px;
    }

    .linha-azul {
        margin-left: 59px;
    }
    .banner-conteudo {
        display: flex;
        flex-direction: row;
    }

    .banner-conteudo__titulo, .banner-conteudo__descricao {
        width: 80%;
        min-width: 600px;
        max-width: 630px;
    }

    .banner-conteudo__titulo {
        font-weight: 700;
        font-size: 60px;
        line-height: 1.1;
        padding-top: 120px;
    }
    
    .banner-conteudo__descricao {
        font-weight: 400;
        padding-top: 1rem;
        padding-bottom: 2rem;
    }

    .banner-conteudo__trailer-jogo-logo {
        display: block;
        position: relative;
        width: 80%;
    }

    .banner-conteudo__jogo-logo{
        position: absolute;
        top: 50px;
        right: 40px;
        max-width: 310px;
    }

    .banner-conteudo__trailer-jogo{
        position: absolute;
        top: 394px;
        right: 58px;
        border-radius: 4px;
        cursor: pointer;
    }

    .banner-conteudo__ancora {
        padding: 14px 34px;
    }
    .banner-slider {
        margin: 60px 0 100px 0;
    }
    
    .linha-final-header {
        left: -60px;
        width: 300px;
    }

    .banner-slider {
        gap: 20px;
    }
    
    .conteudo-principal__jogos-exclusivos {
        padding: 52px 3% 0 3%;
    }

    .conteudo-principal__plataformas {
        display: flex;
        align-items: flex-end;
        gap: 24px;
    }

    .destaque-jogos {
        /* display: flex;
        flex-wrap: wrap; */
        /* gap: 14px;
        justify-content: center; */
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-row-gap: 20px;
    }

    .card-game h5, .card-game p {
        display: block;
    }

    .card-game h5 {
        font-weight: 600;
        font-size: 16px;
    }

    .card-game p {
        color: var(--cor-cinza-jogo-estilo);
        font-size: 14px;
        font-weight: 400;
    }

    .card-game__logo-game {
        top: 68%;
        height: auto;
    }

    .card-ver-jogos {
        height: 80%;
    }

    .svg-ver-jogos-branco {
        display: inline-block;
        padding-right: 10px;
    }

    .rodape {
        height: auto;
        display: flex;
        padding: 101px 47px;
    }
    .rodape__titulo {
        font-size: 32px;
        width: 230px;
    }

    .rodape__sobre-battlenet__linha {
        font-size: 18px;
        white-space: nowrap;
    }

    .rodape__battle-net-plataform__image-celular {
        display: none;
    }

    .rodape__battle-net-plataform {
        display: block;
        position: relative;
    }

    .battlenet-plataform-image {
        position: absolute;
        top: 20px;
        right: -180px;
        left: auto;
        width: 100%;
        height: auto;
        max-width: 900px;
        max-height: 500px;
    }

    .battlenet-plataform-wow-image {
        position: absolute;
        right: -140px;
        top: 220px;
        width: 80%;
        left: auto;
        height: auto;
        max-height: 300px;
        max-width: 600px;
    }
}

@media (min-width: 1360px){

    .banner-slider {
        display: none;
    }

    .menu-hamburguer {
        display: none;
    }

    .nav-bar {
        padding: 1.5rem 112px;
    }

    .nav-bar__ancoras {
        display: flex;
        gap: 34px;
        align-items: center;
        font-weight: 500;
        font-size: 16px;
        padding-right: 132px;
    }

    .nav-bar__ancoras a {
        text-decoration: none;
    }

    .nav-bar__ancoras a:hover {
        color: var(--cor-azul-hover);
    }
    .nav-bar__ancoras-login {
        padding-right: 0;
    }

    .nav-ancora-jogos, .nav-ancora-esportes {
        display: flex;
        align-items: flex-end;
        gap: 14px;
    }

    .nav-bar__ancoras span{
        display: inline-block;
        width: 14px;
        height: 17px;
        background-image: url(assets/banner/nav-expansion-svg.svg);
        background-size: center;
        background-repeat: no-repeat;
        text-align: end;
    }

    .linha-azul {
        margin-left: 112px;
    }

    .banner {
        height: 100vh;
        padding-left: 112px;
    }

    .banner-conteudo__jogo-logo {
        top: 80px;
        right: 112px;
    }

    .banner-conteudo__trailer-jogo {
        top: 340px;
        right: 112px;
    }

    .banner-conteudo__trailer-jogo h4 {
        display: block;
        text-align: end;
        padding-bottom: 14px;
        font-weight: 600;
        font-size: 13px;
    }

    .banner-slider-pc {
        display: flex;
        flex-direction: column;
        gap: 20px;
        padding-top: 160px;
        /* padding-left: 112px; */
        padding-right: 160px;
    }

    .centered-image {
        top: 50%;
    }
    .header__divisao {
        height: 100vh;
    }

    .banner-conteudo__titulo {
        /* padding-top: 180px; */
        font-size: 64px;
    }

    .linha-final-header {
        width: 600px;
        left: -140px;
    }

    .banner-conteudo__descricao {
        padding-bottom: 46px;
    }

    .banner-slider-pc img {
        cursor: pointer;
        width: 48px;
        height: 48px;
    }
    .conteudo-principal {
        padding: 0 0 69px 0;
    }

    .conteudo-principal__games {
        display: block;
        font-weight: 600;
        font-size: 15px;
        color: var(--cor-cinza-titulo-games);
    }

    .conteudo-principal__jogos-exclusivos {
        padding: 52px 112px 0 112px;
    }

    .destaque-jogos {
        grid-template-columns: 1fr 1fr 1fr 1fr;
        padding: 0px 90px;
    }

    .rodape {
        padding-left: 112px;
    }

    .battlenet-plataform-image {
        top: -70px;
        right: -80px;
        max-width: none;
        height: none;
        width: 80%;
    }
}

@media (min-width: 1440px){
    .banner-slider-pc {
        padding-top: 220px;
    }
    
    .banner-conteudo__jogo-logo {
        top: 140px;
    }

    .banner-conteudo__trailer-jogo {
        top: 400px;
    }

    .banner-conteudo__titulo {
        padding-top: 180px;
    }

    .rodape {
        height: 100vh;
    }

    .card-game {
        max-width: none;
    }

    .card-game__capa-game {
        width: none;
    }

    .card-game__video {
        /* width: 290px; */
        height: 384px;
    }
}

/* Está 1860 e não 1920 pelo fato que tem navegadores com barras laterais 
que consomem uma parte da largura da tela */
@media (min-width: 1860px){
    .nav-bar {
        padding: 1.5rem 303px;
    }

    .nav-bar .logo-blizzard {
        width: 100px;
        height: 40px;
    }

    .linha-azul {
        margin-left: 303px;
    }

    .banner {
        padding-left: 303px
    }

    .nav-bar__ancoras {
        gap: 38px;
        font-size: 20px;
        padding-right: 60px;
    }

    .nav-bar__ancoras-login a {
        font-size: 16px;
      }

    .banner-conteudo__titulo, .banner-conteudo__descricao {
        width: 80%;
        min-width: 700px;
        max-width: 700px;
    }

    .banner-conteudo__descricao {
        font-size: 22px;
    }

    .banner-conteudo__titulo {
        padding-top: 260px;
        font-size: 74px;
    }

    .banner-conteudo__ancora {
        padding: 18px 48px;
        font-size: 18px;
    }
    
    .banner-conteudo__trailer-jogo {
        top: 560px;
        right: 303px;
    }

    .banner-conteudo__trailer-jogo h4 {
        font-size: 15px;
    }

    .banner-conteudo__jogo-logo {
        top: 200px;
        right: 303px;
    }
    .banner-slider-pc {
        padding-top: 300px;
        padding-right: 200px;
    }
    
    .banner-slider-pc img {
        width: 54px;
        height: 54px;
    }
    
    .linha-final-header {
        width: 790px;
        left: -320px;
    }
    .conteudo-principal__jogos-exclusivos {
        padding: 52px 303px 0 303px;
    }

    .destaque-jogos {
        grid-template-columns: 1fr 1fr 1fr 1fr;
        padding: 0px 303px;
    }

    .card-game h5 {
        font-size: 20px;
    }

    .card-game p {
        font-size: 18px;
    }

    .card-ver-jogos {
        height: 82%;
        width: 90%;
    }

    .card-ver-jogos__ancora {
        font-size: 16px;
    }

    .rodape {
        padding-left: 303px;
        padding-top: 160px;
    }

    .rodape__titulo {
        width: 500px;
        font-size: 40px;
    }

    .rodape__sobre-battlenet__linha {
        font-size: 22px;
    }
    
    .rodape__ancora-download {
        font-size: 18px;
        width: 290px;
        height: 60px;
    }
    
    .rodape__ancora-download__celular {
        font-size: 19px;
    }

    .battlenet-plataform-wow-image {
        right: 18px;
        top: 360px;
        width: 66%;
        left: none;
        height: none;
        max-height: none;
        max-width: none;
    }

    .battlenet-plataform-image {
        top: -90px;
        right: 10px;
        left: none;
        width: 100%;
        height: none;
        max-width: none;
        max-height: none;
    }
}